Returns one model run that belongs to the authenticated agent.
api.heroui.pro/v1/runs/{id}Send the request to see the live response from the Agents API.
AgentApiKey An Agent API key with the permission required by the operation.
In: header
The resource identifier.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.heroui.pro/v1/runs/string"{
"cache_read_tokens": 0,
"cache_write_tokens": 0,
"completed_at": "2019-08-24T14:15:22Z",
"component_kinds": [
"string"
],
"conversation_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"credits_charged": 0,
"effort": "string",
"error_code": "string",
"failed_tool_names": [
"string"
],
"first_chunk_at": "2019-08-24T14:15:22Z",
"id": "string",
"input_tokens": 0,
"model_id": "string",
"object": "run",
"output_tokens": 0,
"protocol_version": 1,
"request_id": "string",
"sdk_version": "string",
"status": "aborted",
"tool_names": [
"string"
],
"total_tokens": 0,
"total_turn_latency_ms": 0,
"updated_at": "2019-08-24T14:15:22Z",
"user_id": "string"
}{
"message": "limit must be an integer between 1 and 100.",
"name": "bad_request"
}{
"message": "The supplied API key is invalid or revoked.",
"name": "unauthorized"
}{
"message": "This API key does not have the required runs:read permission.",
"name": "insufficient_scope"
}{
"message": "The requested resource was not found.",
"name": "not_found"
}{
"message": "Too many requests. Please try again later.",
"name": "rate_limited"
}{
"message": "Internal server error.",
"name": "internal_server_error"
}{
"message": "The API is temporarily unavailable.",
"name": "service_unavailable"
}